package com.dayou.service;
import com.dayou.bo.LeaderRatioBO;
import com.dayou.entity.TeamMember;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.TeamVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.Set;

/**
 * <p>
 * 团队成员 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-04-07
 */
public interface ITeamMemberService extends IService<TeamMember> {

        Page<TeamMember> selectPage(Page page,TeamMember teamMember);

        TeamMember detail(Long id);

        Boolean add(TeamVO teamVO);

        Boolean update(TeamMember teamMember);

        Boolean delete(Long id);

        Set<LeaderRatioBO> getLeader(Long userId,String departmentName);

        Set<Long> getJuniorUserIds(Long userId);

}
